/*
 *     for STM32F746 Discovery
 *
 *    Copyright (C) by Hasada & FCT Embedded System Research Circle
 */

#ifndef __LCD_PARAM_H__
#define __LCD_PARAM_H__

#define  DEF_PHOTO_BYTE    (320*240*2)
#define  DEF_BMP_HEADER_SIZE   0x36    /* 54 Byte */
#define  DEF_BMP_DATA_SIZE     (320*240*3)

#define  DEF_LCD_FB_TOP    0xc0000000
#define  DEF_LCD_VUR_FB1   0xc0040000
#define  DEF_LCD_REL_FB1   0xc0068000
#define  DEF_LCD_VUR_FB2   0xc0090000
#define  DEF_LCD_REL_FB2   0xc00b8000
#define  DEF_LCD_FB_BTM    0xc00e0000
#define  DEF_LCD_FB_SIZE   (320*240*2)

#define  DEF_LCD_FB_WRK    0xc0200000
#define  DEF_LCD_FB_HEIGHT 240
#define  DEF_LCD_FB_WIDTH  320

#define  DEF_LCD_USER_BMP1 0xc0100000
#define  DEF_LCD_BMP_SIZE  (DEF_BMP_DATA_SIZE+DEF_BMP_HEADER_SIZE)

#endif /* __LCD_PARAM_H__ */

